RACOON-TOOL(8)

NAME
racoon-tool - program to manage the racoon(8) IPSEC IKE daemon.

SYNOPSIS
racoon-tool [-h] reload|restart|force-reload|start|stop
racoon-tool [-h] sadflush|spdflush|saddump|spddump
racoon-tool [-h] vpndown|vdown|vpnup|vup connection-name|all
racoon-tool [-h] vpnreload|vreload connection-name|all
racoon-tool [-h] vpnlist|vlist [connection-name|all]
racoon-tool [-h] vpnmenu|vmenu [connection-name-regexp]
racoon-tool [-h] racoonstart|racoonstop|rstart|rstop

DESCRIPTION
This manual page documents briefly the racoon-tool command. racoon-tool(8) is a perl script that can be used to control the racoon(8) IKE daemon and the SPD database within the kernel via the setkey(8) command. Various operations that it can do are described below.

You can also optionally choose not to use it via reconfiguring the racoon package using dpkg-reconfigure(8).

OPTIONS
A summary of options are included below.

-h  Show summary of options.

COMMANDS

start
    Start racoon(8), loading any needed modules, configuring the SPD, and generating a configuration from /etc/racoon/racoon-tool.conf (head) and following up with *.conf files from /etc/racoon/racoon-tool.conf.d/.

stop
    Stop racoon(8) unloading any crypto/IPSEC modules, flushing the SAD and SPD.

reload
    Regenerate configuration from /etc/racoon/racoon.conf, and /etc/racoon/racoon.conf.d/, HUP racoon(8) and reinitialise the SPD and SAD.

restart|force-reload
    Perform a stop followed by a start

sadflush
    Flush the SAD via setkey(8).

spdflush
    Flush the SPD via setkey(8).

saddump|dump
    Dump the SAD to screen via setkey(8), paginating via your pager.

spddump
    Dump the SPD to screen via setkey(8), paginating via your pager.

vpnup|vup connection-name|all
    Bring up the VPN connection(s).

vpndown|vdown connection-name|all
    Take down the VPN connection(s).

vpnreload|vreload connection-name|all
    Reload the VPN connection(s).

vpnlist|vlist [connection-name|all]
    List the known VPN connections in /etc/racoon/racoon-tool.conf, etc. Can be used by a script or administrator to see if a VPN connection exists.

vpnmenu|vmenu [connection-name-regexp]
    Start the VPN menu management mode. This displays the SPD, and you can shutdown VPNs from here. Latter on support will be added for checking status and reloading the chosen connection.

racoonstart|rstart
    Start only the racoon(8) daemon.

racoonstop|rstop
    Stop only the racoon(8) daemon.

FILES

/etc/racoon/racoon-tool.conf
    - configuration file (head).

/etc/racoon/racoon-tool.conf.d
    - configuration file segment directory read after the above.

/var/lib/racoon/racoon.conf
    - generated racoon.conf

SEE ALSO
racoon(8), racoon.conf(5), setkey(8), racoon-tool.conf(5).

AUTHOR
This manual page was written by Matthew Grant <matthewgrant5@gmail.com>, for the Debian GNU/Linux system (but may be used by others).